#define PROCESSING_TEXTURE_SHADER

#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

uniform sampler2D texture;
uniform vec2 texOffset;
uniform int type;
uniform float time;
uniform float midx;
uniform float midy;

varying vec4 vertColor;
varying vec4 vertTexCoord;
mat3 matrix;


void main() {
	vec4 color = texture2D(texture, vertTexCoord.st);
	// find the distance from the center
	float dist = sqrt(pow(gl_FragCoord.x - midx, 2.0)
					+ pow(gl_FragCoord.y - midy, 2.0));
	if(color.x==color.y
	 &&color.x==color.z) {
		color = vec4(1.0-color.x, 1.0-color.y, 1.0-color.z, 1.);
	}
	gl_FragColor = color+ vec4(	-abs(sin((dist+time*10.)/10.)),  
								-abs(sin((dist+time*10.)/10.)), 
								-abs(sin((dist+time*10.)/10.)), 
								0.0);
}