#define PROCESSING_TEXTURE_SHADER

#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

uniform sampler2D texture;
uniform vec2 texOffset;
uniform int type;

varying vec4 vertColor;
varying vec4 vertTexCoord;
mat3 matrix;

uniform float time;

void main() {
	vec4 color = texture2D(texture, vertTexCoord.st);
	
	if(color.x==color.y
	 &&color.x==color.z) {
		color = vec4(1.0-color.x, 1.0-color.y, 1.0-color.z, 1.);
	}
	gl_FragColor = vec4(
		color.x*((sin((gl_FragCoord.x/100.0 + time)*sin(time)))/2.0 + 0.5), 
		color.y*((sin((gl_FragCoord.x/100.0 + time)*sin(time)))/2.0 + 0.5), 
		color.z*((sin((gl_FragCoord.x/100.0 + time)*sin(time)))/2.0 + 0.5), 
		1.0);
}